export type UseLoginParams = {
    authEndpoint: string;
    baseUrl: string;
    clientId: string;
    logoutEndpoint: string;
    redirectUri: string;
    tokenEndpoint: string;
};
export type UseFetchTokensParams = Pick<UseLoginParams, 'baseUrl' | 'tokenEndpoint' | 'clientId'> & {
    code: string;
    redirectUri: string;
};
export type UseReAuthFetchParams = Pick<UseLoginParams, 'baseUrl' | 'tokenEndpoint' | 'clientId'> & {
    refreshToken: string;
};
